# Gimp.ColorProfile.prototype.is_linear

    function is_linear(): Boolean {
        // Gjs wrapper for gimp_color_profile_is_linear()
    }

This function determines is the ICC profile represented by a GimpColorProfile is a linear RGB profile or not, some profiles that are LUTs though linear will also return FALSE;

Since 2.10

Returns

  true if the profile is a matrix shaping profile with linear TRCs, false otherwise.